* MacOS Users - PlayOnMac

Questions regarding use of any Version of Family Historian. Please ensure you have set your Version of Family Historian in your Profile
Post Reply
User avatar
mjashby
Superstar
Posts: 494
Joined: 23 Oct 2004 10:45
Family Historian: V6.2
Location: Yorkshire

MacOS Users - PlayOnMac

Post by mjashby » 05 Jul 2020 20:36

PlayOnMac Version 4.4 was released on 30 June 2020 with MacOS 10.15.x (Catalina) compatibility, which should allow installation of Family Historian, Ancestral Sources etc. A surprising development as their main focus has been on the next full version. See: https://www.playonmac.com/en/news.html

Warning: It's a substantial software download at 636MB, which I haven't (so far) tried.

It might be better to wait and see what the general user reaction is on their Mac Forum before risking installing/using as it's their first, supposedly, Catalina Compatible release and it's not clear how effective the testing has been.

Mervyn

User avatar
Valkrider
Megastar
Posts: 1277
Joined: 04 Jun 2012 19:03
Family Historian: V6.2
Location: Spain
Contact:

Re: MacOS Users - PlayOnMac

Post by Valkrider » 06 Jul 2020 06:04

WARNING

I upgraded to this version on Mojave (I have not updated to Catalina waiting for a working 64bit version of POM).

V4.4 of POM does not work on Mojave, I don't know about Catalina. None of my Windows programs ran properly some crashed Wine, FH just put a Red X on the screen even Notepad and Notepad++ both produced a blank unusable window.

I don't think V4.4 of POM is fit for purpose at the moment so use at your own risk.

I reverted to a TimeMachine backup and got my old POM back and working fine.

User avatar
mjashby
Superstar
Posts: 494
Joined: 23 Oct 2004 10:45
Family Historian: V6.2
Location: Yorkshire

Re: MacOS Users - PlayOnMac

Post by mjashby » 06 Jul 2020 09:14

Colin,

Yes, this 'initial' release does look to be problematical, so I'm definitely holding back on testing on Catalina until I see some more positive comments.

There is already one growing thread on the PlayOnMac User Forum reporting a problem that the 'lead' developer doesn't seem to have an immediate answer for.

Mervyn

Update 1: There is now a thread on the User Forum stating that PlayOnMac 4.4 is NOT compatible with MacOS High Sierra and users need to stick with Version 4.3.4. https://www.playonmac.com/en/topic-1720 ... ierra.html

Unfortunately all PlayOnMac download links on the site currently point to 4.4, so for anyone who might be affected here, have managed to track down the PlayOnMac download repositories to: https://repository.playonlinux.com/PlayOnMac/

Post Reply